#! /usr/bin/python

import os
import time

names=dict()
names['CSN74804D7E']='Monkey'
names['SHC93701143']='Shadow'
names['CSN75002073']='Tux'
names['SHC005008D1']='Tank'
names['SHC016013FB']='Ivy'
names['CSN74804BF8']='Twilight'
names['CSN748011E4']='Moodle'
names['SHF81502638']='Shrek'
names['']=''

comments=dict()
comments['SHC93701143']='Power Saving Turned Off'

for fname in os.listdir("."):
	if (not fname.endswith(".csv")):
		continue;
	print fname;
	f = open(fname, "r+")
	lines = f.readlines()
	if (not lines[3].startswith("COMMENT: ")):
		print "comment not on line 3 in %s got %s" % (fname, lines[3])
		break;
	serial = fname.split('-')[1]
	name = names[serial]
	comment = " " + comments.get(serial, "")
	date = time.strftime("%c %Z", time.localtime(time.time()))
	lines[3] = "COMMENT: Auckland Testing %s %s%s\n" % (date, name, comment)
	f.seek(0)
	f.writelines(lines)
